<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Providers;

use Prettus\Repository\Providers\LumenRepositoryServiceProvider;

class RepositoryServiceProvider extends LumenRepositoryServiceProvider
{
    /**
     * Bootstrap services.
     */
    public function boot()
    {
        //基础
        $this->app->bind(\App\Contracts\Repositories\Base\DepartmentRepository::class, \App\Repositories\Eloquent\Base\DepartmentRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\ResourceRepository::class, \App\Repositories\Eloquent\ResourceRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\AdminRepository::class, \App\Repositories\Eloquent\Base\AdminRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\RoleRepository::class, \App\Repositories\Eloquent\Base\RoleRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\MenuRepository::class, \App\Repositories\Eloquent\Base\MenuRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Base\BannerRepository::class, \App\Repositories\Eloquent\Base\BannerRepositoryEloquent::class);
        //api
        $this->app->bind(\App\Contracts\Repositories\User\UserRepository::class, \App\Repositories\Eloquent\User\UserRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\User\StudentRepository::class, \App\Repositories\Eloquent\User\StudentRepositoryEloquent::class);

        //课程
        $this->app->bind(\App\Contracts\Repositories\Course\CategoryRepository::class, \App\Repositories\Eloquent\Course\CategoryRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Course\CourseRepository::class, \App\Repositories\Eloquent\Course\CourseRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Course\ChapterRepository::class, \App\Repositories\Eloquent\Course\ChapterRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Course\VideoRepository::class, \App\Repositories\Eloquent\Course\VideoRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Course\AttachRepository::class, \App\Repositories\Eloquent\Course\AttachRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Course\CommentRepository::class, \App\Repositories\Eloquent\Course\CommentRepositoryEloquent::class);
        //中医
        $this->app->bind(\App\Contracts\Repositories\TCM\PatientRepository::class, \App\Repositories\Eloquent\TCM\PatientRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\TCM\CategoryRepository::class, \App\Repositories\Eloquent\TCM\CategoryRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\TCM\MedicalRecordRepository::class, \App\Repositories\Eloquent\TCM\MedicalRecordRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\TCM\PrescriptionRepository::class, \App\Repositories\Eloquent\TCM\PrescriptionRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\TCM\DrugRepository::class, \App\Repositories\Eloquent\TCM\DrugRepositoryEloquent::class);
        //信息
        $this->app->bind(\App\Contracts\Repositories\Inform\CategoryRepository::class, \App\Repositories\Eloquent\Inform\CategoryRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Inform\InformationRepository::class, \App\Repositories\Eloquent\Inform\InformationRepositoryEloquent::class);

        //笔记
        $this->app->bind(\App\Contracts\Repositories\Note\NoteRepository::class, \App\Repositories\Eloquent\Note\NoteRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\Note\CommentRepository::class, \App\Repositories\Eloquent\Note\CommentRepositoryEloquent::class);

        //CMS
        $this->app->bind(\App\Contracts\Repositories\CMS\CategoryRepository::class, \App\Repositories\Eloquent\CMS\CategoryRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\CMS\ArticleRepository::class, \App\Repositories\Eloquent\CMS\ArticleRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\CMS\BannerRepository::class, \App\Repositories\Eloquent\CMS\BannerRepositoryEloquent::class);
        $this->app->bind(\App\Contracts\Repositories\CMS\SettingRepository::class, \App\Repositories\Eloquent\CMS\SettingRepositoryEloquent::class);
    }
}
