<?php

namespace App\Repositories\Criteria\Course;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Http\Request;
use Prettus\Repository\Contracts\CriteriaInterface;
use Prettus\Repository\Contracts\RepositoryInterface;

/**
 * Class CourseCategoryCriteria.
 *
 * @package namespace App\Repositories\Criteria;
 */
class CategoryCriteria implements CriteriaInterface
{
    /**
     * @var \Illuminate\Http\Request
     */
    protected $request;

    public function __construct(Request $request = null)
    {
        if (is_null($request)) {
            $this->request = \request();
        } else {
            $this->request = $request;
        }

    }

    /**
     * Apply criteria in query repository
     *
     * @param string $model
     * @param RepositoryInterface $repository
     *
     * @return mixed
     */
    public function apply($model, RepositoryInterface $repository)
    {
        if ($name = $this->request->get('name')) {
            $model = $model->where('name', 'like', "%{$name}%");
        }

        if (($status = $this->request->get('status', false)) !== false) {
            $model = $model->where('status', '=', $status);
        }

        if ($category_id = $this->request->get('category_id')) {
            $model = $model->where('category_id', '=', $category_id);
        }

        $model = $model->orderByDesc('sort')->orderByDesc('id');
        return $model;
    }
}
