<?php

namespace App\Repositories\Eloquent\Base;

use App\Repositories\Criteria\Base\BannerCriteria;
use App\Repositories\Presenters\Base\BannerPresenter;
use App\Repositories\Transformers\Base\BannerTransformer;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Base\BannerRepository;
use App\Repositories\Models\Base\Banner;
use App\Repositories\Validators\Base\BannerValidator;

/**
 * Class BannerRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Base;
 */
class BannerRepositoryEloquent extends BaseRepository implements BannerRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Banner::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return BannerValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(BannerCriteria::class));
        $this->setPresenter(BannerPresenter::class);
    }

}
