<?php

namespace App\Repositories\Eloquent\CMS;

use App\Repositories\Criteria\CMS\ArticleCriteria;
use App\Repositories\Criteria\CMS\CategoryCriteria;
use App\Repositories\Presenters\CMS\ArticlePresenter;
use App\Repositories\Presenters\CMS\CategoryPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Contracts\Repositories\CMS\ArticleRepository;
use App\Repositories\Models\CMS\Article;
use App\Repositories\Validators\CMS\ArticleValidator;

/**
 * Class ArticleRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\CMS;
 */
class ArticleRepositoryEloquent extends BaseRepository implements ArticleRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Article::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return ArticleValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(ArticleCriteria::class));
        $this->setPresenter(ArticlePresenter::class);
    }

}
