<?php

namespace App\Repositories\Eloquent\CMS;

use App\Repositories\Criteria\CMS\BannerCriteria;
use App\Repositories\Presenters\CMS\BannerPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\CMS\BannerRepository;
use App\Repositories\Models\CMS\Banner;
use App\Repositories\Validators\CMS\BannerValidator;

/**
 * Class BannerRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\CMS;
 */
class BannerRepositoryEloquent extends BaseRepository implements BannerRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Banner::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return BannerValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(BannerCriteria::class));
        $this->setPresenter(BannerPresenter::class);
    }

}
