<?php

namespace App\Repositories\Eloquent\CMS;

use App\Repositories\Criteria\CMS\SettingCriteria;
use App\Repositories\Presenters\CMS\SettingPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Contracts\Repositories\CMS\SettingRepository;
use App\Repositories\Models\CMS\Setting;
use App\Repositories\Validators\CMS\SettingValidator;

/**
 * Class SettingRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\CMS;
 */
class SettingRepositoryEloquent extends BaseRepository implements SettingRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Setting::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return SettingValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(SettingCriteria::class));
        $this->setPresenter(SettingPresenter::class);
    }

}
