<?php

namespace App\Repositories\Eloquent\Course;

use App\Repositories\Criteria\Course\CategoryCriteria;
use App\Repositories\Presenters\Course\CategoryPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Contracts\Repositories\Course\CategoryRepository;
use App\Repositories\Models\Course\Category;
use App\Repositories\Validators\Course\CategoryValidator;

/**
 * Class CourseCategoryRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent;
 */
class CategoryRepositoryEloquent extends BaseRepository implements CategoryRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Category::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return CategoryValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
//        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(CategoryCriteria::class);
        $this->setPresenter(CategoryPresenter::class);
    }

}
