<?php

namespace App\Repositories\Eloquent\Note;

use App\Repositories\Criteria\Note\CommentCriteria;
use App\Repositories\Presenters\Note\CommentPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Note\CommentRepository;
use App\Repositories\Models\Note\Comment;
use App\Repositories\Validators\Note\CommentValidator;

/**
 * Class CommentRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Note;
 */
class CommentRepositoryEloquent extends BaseRepository implements CommentRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Comment::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return CommentValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(CommentCriteria::class));
        $this->setPresenter(CommentPresenter::class);
    }

}
