<?php

namespace App\Repositories\Eloquent\TCM;

use App\Repositories\Criteria\TCM\MedicalRecordCriteria;
use App\Repositories\Presenters\TCM\MedicalRecordPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\TCM\MedicalRecordRepository;
use App\Repositories\Models\TCM\MedicalRecord;
use App\Repositories\Validators\TCM\MedicalRecordValidator;

/**
 * Class MedicalRecordRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\TCM;
 */
class MedicalRecordRepositoryEloquent extends BaseRepository implements MedicalRecordRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return MedicalRecord::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return MedicalRecordValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(MedicalRecordCriteria::class));
        $this->setPresenter(MedicalRecordPresenter::class);
    }

}
