<?php

namespace App\Repositories\Eloquent\User;

use App\Repositories\Criteria\User\StudentCriteria;
use App\Repositories\Presenters\User\StudentPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\User\StudentRepository;
use App\Repositories\Models\User\Student;
use App\Repositories\Validators\User\StudentValidator;

/**
 * Class StudentRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\User;
 */
class StudentRepositoryEloquent extends BaseRepository implements StudentRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Student::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return StudentValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(StudentCriteria::class));
        $this->setPresenter(StudentPresenter::class);
    }

}
