<?php

namespace App\Repositories\Models\Base;

use App\Repositories\Models\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Role.
 *
 * @package namespace App\Repositories\Models\Base;
 */
class Role extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'base_roles';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [];

    protected static function booted()
    {
        self::language();
    }

    public function setMenusAttribute($val)
    {
        if (count($val) == 0) return '';
        $this->attributes['menus'] = '-' . arr2str($val, '-') . '-';
    }

    public function getMenusAttribute($val)
    {
        return str2arr(trim($val, '-'), '-');
    }


    public function setParentMenusAttribute($val)
    {
        if (count($val) == 0) return '';
        $this->attributes['parent_menus'] = '-' . arr2str($val, '-') . '-';
    }

    public function getParentMenusAttribute($val)
    {
        return str2arr(trim($val, '-'), '-');
    }

}
