<?php

namespace App\Repositories\Models\Course;

use App\Repositories\Models\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class CourseCategory.
 *
 * @package namespace App\Repositories\Models;
 */
class Category extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'course_categories';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['name', 'parent_id', 'sort', 'status'];

    protected static function booted()
    {
        self::language();
    }

    public function parent()
    {
        return $this->belongsTo(Category::class, 'parent_id', 'id');
    }

    public function getParentNameAttribute()
    {
        return self::query()->where('id', $this->attributes['parent_id'])->value('name');
    }

}
