<?php

namespace App\Repositories\Transformers\Base;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Base\Admin;

/**
 * Class AdminTransformer.
 *
 * @package namespace App\Repositories\Transformers\Base;
 */
class AdminTransformer extends TransformerAbstract
{
    /**
     * Transform the Admin entity.
     *
     * @param \App\Repositories\Models\Base\Admin $model
     *
     * @return array
     */
    public function transform(Admin $model)
    {
        return [
            'id' => (int)$model->id,
            'username' => $model->username,
            'name' => $model->name,
            'headimg' => $model->headimg,
            'department_id' => $model->department_id,
            'department_name' => $model->department ? $model->department->name : '--',
            'status' => $model->status,
            'role_id' => $model->role_id,
            'role_name' => $model->id == 1 ? '超级管理员' : ($model->role ? $model->role->name : '--'),
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
