<?php

namespace App\Repositories\Transformers\CMS;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\CMS\Article;

/**
 * Class ArticleTransformer.
 *
 * @package namespace App\Repositories\Transformers\CMS;
 */
class ArticleTransformer extends TransformerAbstract
{
    /**
     * Transform the Article entity.
     *
     * @param \App\Repositories\Models\CMS\Article $model
     *
     * @return array
     */
    public function transform($model)
    {
        return [
            'id' => (int)$model->id,
            'title' => $model->title,
            'category_id' => $model->category_id,
            'category_name' => $model->category ? $model->category->name : '--',
            'cover' => $model->cover,
            'cover_resource' => $model->cover_resource,
            'short_description' => $model->short_description,
            'tags' => $model->tags,
            'slug' => $model->slug,
            'body' => $model->body,
            'published_at' => $model->published_at,
            'view_count' => $model->view_count,
            'sort' => $model->sort,
            'status' => $model->status,
            'admin_name' => $model->admin ? $model->admin->name : '未知',
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
