<?php

namespace App\Repositories\Transformers\Note;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Note\Note;

/**
 * Class NoteTransformer.
 *
 * @package namespace App\Repositories\Transformers\Note;
 */
class NoteTransformer extends TransformerAbstract
{
    /**
     * Transform the Note entity.
     *
     * @param \App\Repositories\Models\Note\Note $model
     *
     * @return array
     */
    public function transform(Note $model)
    {
        return [
            'id' => (int)$model->id,
            "title" => $model->title,
            "course_category_id" => $model->course_category_id,
            "course_category" => $model->category,
            "tags" => $model->tags,
            "body" => $model->body,
            "is_release" => $model->is_release,
            "view_count" => $model->view_count,
            "comment_count" => $model->comment_count,
            "good_count" => $model->good_count,
            "user_id" => $model->user_id,
            "user" => $model->user,
            'is_solve' => $model->type == 1 ? $model->is_solve : '--',
            "status" => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
