<?php

namespace App\Repositories\Transformers\User;

use App\Repositories\Enums\SexEnum;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\User\Student;

/**
 * Class StudentTransformer.
 *
 * @package namespace App\Repositories\Transformers\User;
 */
class StudentTransformer extends TransformerAbstract
{
    /**
     * Transform the Student entity.
     *
     * @param \App\Repositories\Models\User\Student $model
     *
     * @return array
     */
    public function transform(Student $model)
    {
        return [
            'id' => (int)$model->id,
            'turename' => $model->turename,
            'faculty' => $model->faculty,
            'class' => $model->class,
            'headimg' => $model->headimg,
            'period' => $model->period,
            'sex' => $model->sex,
            'sex_text' => SexEnum::getDescription($model->sex),
            'account' => $model->account,
            'mobile' => $model->mobile,

            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
