<?php

namespace App\Repositories\Validators\User;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class StudentValidator.
 *
 * @package namespace App\Repositories\Validators\User;
 */
class StudentValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'turename' => 'required',
            'account' => 'required|min:6',
            'faculty' => 'required',
            'class' => 'required',
            'headimg' => 'sometimes',
            'mobile' => 'sometimes|mobile',
            'period' => 'required',
            'password' => 'required|min:6',
            'sex' => 'required',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'turename' => 'required',
            'account' => 'required|min:6',
            'faculty' => 'required',
            'class' => 'required',
            'headimg' => 'sometimes',
            'mobile' => 'sometimes|mobile',
            'period' => 'required',
            'password' => 'sometimes|min:6',
            'sex' => 'required',
        ],
    ];
}
