<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

//课程分类
class CreateCourseCategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('course_categories', function (Blueprint $table) {
            $table->id();

            $table->string('name', 32)->comment('分类名');
            $table->integer('parent_id')->default(0)->comment('父id');
            $table->integer('sort')->default(0)->comment('升序');
            $table->tinyInteger('status')->default(1)->comment('是否显示,1显示,0不显示');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('course_categories');
    }
}
